#ifndef DATABASE_POSTGRESQL_COMMON_BMX_RELEASE_WIN32_X64_H
#define DATABASE_POSTGRESQL_COMMON_BMX_RELEASE_WIN32_X64_H

#include <brl.mod/blitz.mod/.bmx/blitz.bmx.release.win32.x64.h>
int _bb_database_postgresql_common();
extern void bmx_pgsql_PQfinish(BBBYTE* bbt_handle);
extern BBBYTE* bmx_pgsql_PQconnectdb(BBBYTE* bbt_info);
extern BBINT bmx_pgsql_PQstatus(BBBYTE* bbt_handle);
extern BBBYTE* bmx_pgsql_PQerrorMessage(BBBYTE* bbt_handle);
extern BBBYTE* bmx_pgsql_PQexec(BBBYTE* bbt_handle,BBBYTE* bbt_query);
extern BBINT bmx_pgsql_PQresultStatus(BBBYTE* bbt_result);
extern void bmx_pgsql_PQclear(BBBYTE* bbt_result);
extern BBINT bmx_pgsql_PQntuples(BBBYTE* bbt_result);
extern BBINT bmx_pgsql_PQnfields(BBBYTE* bbt_result);
extern BBBYTE* bmx_pgsql_PQcmdTuples(BBBYTE* bbt_result);
extern BBBYTE* bmx_pgsql_PQfname(BBBYTE* bbt_result,BBINT bbt_index);
extern BBINT bmx_pgsql_PQftype(BBBYTE* bbt_result,BBINT bbt_index);
extern BBINT bmx_pgsql_PQfsize(BBBYTE* bbt_result,BBINT bbt_index);
extern BBINT bmx_pgsql_PQfmod(BBBYTE* bbt_result,BBINT bbt_index);
extern BBINT bmx_pgsql_PQgetisnull(BBBYTE* bbt_result,BBINT bbt_row,BBINT bbt_index);
extern BBINT bmx_pgsql_PQgetlength(BBBYTE* bbt_result,BBINT bbt_row,BBINT bbt_index);
extern BBBYTE* bmx_pgsql_PQgetvalue(BBBYTE* bbt_result,BBINT bbt_row,BBINT bbt_index);
extern BBBYTE* bmx_pgsql_PQprepare(BBBYTE* bbt_handle,BBBYTE* bbt_stmtName,BBBYTE* bbt_query);
extern BBBYTE* bmx_pgsql_PQdescribePrepared(BBBYTE* bbt_result,BBBYTE* bbt_name);
extern BBINT bmx_pgsql_PQnparams(BBBYTE* bbt_result);
extern BBBYTE* bmx_pgsql_createParamValues(BBINT bbt_size);
extern BBINT* bmx_pgsql_createParamInts(BBINT bbt_size);
extern void bmx_pgsql_deleteParamValues(BBBYTE* bbt_params);
extern void bmx_pgsql_deleteParamInts(BBINT* bbt_params);
extern void bmx_pgsql_setNullParam(BBBYTE* bbt_params,BBINT bbt_index);
extern void bmx_pgsql_setParam(BBBYTE* bbt_params,BBINT* bbt_lengths,BBINT* bbt_formats,BBINT bbt_index,BBBYTE* bbt_Text,BBINT bbt_length);
extern void bmx_pgsql_setParamBinary(BBBYTE* bbt_params,BBINT* bbt_lengths,BBINT* bbt_formats,BBINT bbt_index,BBBYTE* bbt_data,BBINT bbt_length);
extern BBBYTE* bmx_pgsql_PQexecPrepared(BBBYTE* bbt_handle,BBBYTE* bbt_stmtName,BBINT bbt_size,BBBYTE* bbt_params,BBINT* bbt_lengths,BBINT* bbt_formats);
extern BBBYTE* bmx_pgsql_PQunescapeBytea(BBBYTE* bbt_data,BBINT* bbt_length);
extern void bmx_pgsql_PQfreemem(BBBYTE* bbt_data);
extern BBUINT bmx_pgsql_PQoidValue(BBBYTE* bbt_result);

#endif
